Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::filter_fn Struct Reference
Inheritance diagram for ranges::views::filter_fn:

## Synopsis of methods
constexpr filter_fn | filter {}

## Public Member Functions
template<typename Pred >
constexpr auto | operator() (Pred pred) const
template<typename Pred , typename Proj >
constexpr auto | operator() (Pred pred, Proj proj) const
Public Member Functions inherited from ranges::views::filter_base_fn
template<typename Rng , typename Pred , typename Proj >
constexpr filter_view< all_t< Rng >, composed< Pred, Proj > > | operator() (Rng &&rng, Pred pred, Proj proj) const
Public Member Functions inherited from ranges::views::cpp20_filter_base_fn
template<typename Rng , typename Pred >
constexpr filter_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const

## Member Function Documentation

## ◆ operator()()

template<typename Pred , typename Proj >

constexpr auto ranges::views::filter_fn::operator() | ( | Pred | pred,
|  | Proj | proj
| ) |  | const
| constexpr

Precondition
  requires `(!range<Pred>)`